Bug 110323 - X crashed when clicking on link in mozilla 1.4.1
X crashed when clicking on link in mozilla 1.4.1
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-11-18 09:40 EST by Raphael Clifford
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-12 02:28:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The X logs from the session that crashed (12.55 KB, text/plain)
2003-11-18 09:43 EST, Raphael Clifford
no flags Details
XF86Config from redhat 9 system that had crash using nv driver (3.10 KB, text/plain)
2003-11-18 09:45 EST, Raphael Clifford
no flags Details

  None (edit)
Description Raphael Clifford 2003-11-18 09:40:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
Using mozilla 1.4.1 I clicked on "View results" in the page
http://smh.com.au/polls/sport/form.html and X crashed (and then was
restarted automatically.  By this I mean it died completely and the
screen went blank.  /var/log/messages has only

Nov 18 14:25:42 st179 gdm[3550]: gdm_slave_xioerror_handler: Fatal X
error - Restarting :0

The X logs are much more informative. I have attached them below as
they are large.  I have also attached my X config file.

Version-Release number of selected component (if applicable):

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
1. Go to http://smh.com.au/polls/sport/form.html (using moz 1.4.1)
2. Click "view results"
3. X quits immediately.

Actual Results:  X quit immediately.

Expected Results:  Should have followed the link without crashing

Additional info:
 I suspect this might be an nvidia driver bug.
Comment 1 Raphael Clifford 2003-11-18 09:43:36 EST
Created attachment 96040 [details]
The X logs from the session that crashed

The file name is obviously not the original name.
Comment 2 Raphael Clifford 2003-11-18 09:45:29 EST
Created attachment 96041 [details]
XF86Config from redhat 9 system that had crash using nv driver
Comment 3 Raphael Clifford 2003-12-15 05:28:19 EST

has the uncompressed X logs from the session that crashed
Comment 4 Mike A. Harris 2003-12-15 05:39:11 EST
Can you reproduce this at will every time?  If so, can you disable
acceleration to test if that is what is causing it?  Please use
Option "noaccel" in the driver section of the config file.

Comment 5 Mike A. Harris 2004-10-12 02:28:19 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.